<template>
	<view class=""><u-parse :html="detailData?.content"></u-parse></view>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { onLoad, onHide } from '@dcloudio/uni-app';
import { getTopicDetail } from '@/api/category';

let detailData = ref();
onLoad((options: any) => {
	getTopicDetail(options.id).then((res: any) => {
		if (res.data.code === 200) {
			detailData.value = res.data.data.topic;
		}
	});
});

onHide(() => {
	detailData.value = [];
});
</script>
